/*
 * DosFont sample code
 * Copyright (C) 2001 Particle Corp.
 * Alex S. (Particle)
 * 
 * - April 30th, 2001 - Alex S. (Particle)
 */

#include <stdio.h>

#define DOSFONTSIZE (256*8)

int main(){
    char string[] = "Particle";
    unsigned char dosfont[DOSFONTSIZE];
    int row,i,len,l,bits,b;
    FILE* f = fopen("dosfont.dat","rb");
    if (!f) {
        printf("cannot open file dosfont.dat\n");
        return 1;
    }
    if (fread(dosfont,1,DOSFONTSIZE,f) != DOSFONTSIZE) {
        printf("cannot read file dosfont.dat\n");
        fclose(f);
        return 1;
    }
    fclose(f);
    len = strlen(string);
    for (row=0;row<8;row++) {
        for (i=0;i<len;i++) {
            l = string[i];
            bits = dosfont[l*8+row];
            for (b=7;b>=0;b--) {
                if (bits & (1<<b)) {
                    printf("%c",15);
                } else {
                    printf(" ");
                }
            }
        }
        printf("\n");
    }
    return 0;
}

